local item_sounds = require("__base__.prototypes.item_sounds")

data:extend({
  {
    type = "item",
    name = "cube-ultradense-utility-cube",
    icon = "__Krastorio2Assets__/icons/items/matter-cube.png",
    icon_size = 64, icon_mipmaps = 4,
    flags = {"not-stackable"},
    subgroup = "cube-cubes",
    order = "cube-0[0-cube]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.atomic_bomb_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    stack_size = 1,

    fuel_category = "cube-cube",
    fuel_value = "1GJ",
    fuel_glow_color = {0.5, 0.5, 1, 1},
    fuel_acceleration_multiplier = 10,
    fuel_top_speed_multiplier = 4,
    burnt_result = "cube-dormant-utility-cube",
  },
  {
    type = "item",
    name = "cube-dormant-utility-cube",
    icon = "__base__/graphics/icons/solid-fuel.png",
    icon_size = 64, icon_mipmaps = 4,
    flags = {"not-stackable"},
    subgroup = "cube-cubes",
    order = "cube-0[1-cube]",
    inventory_move_sound = item_sounds.solid_fuel_inventory_move,
    pick_sound = item_sounds.solid_fuel_inventory_pickup,
    drop_sound = item_sounds.solid_fuel_inventory_move,
    stack_size = 1,
  },
  {
    type = "item",
    name = "cube-ultradense-combustion-cube",
    icon = "__Ultracube__/assets/icons/ultradense-combustion-cube.png",
    icon_size = 64, icon_mipmaps = 4,
    flags = {"not-stackable"},
    subgroup = "cube-cubes",
    order = "cube-0[2-cube]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.atomic_bomb_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    stack_size = 1,

    fuel_category = "cube-cube",
    fuel_value = "1GJ",
    fuel_glow_color = {0.5, 0.5, 1, 1},
    fuel_acceleration_multiplier = 10,
    fuel_top_speed_multiplier = 4,
    burnt_result = "cube-dormant-combustion-cube",
  },
  {
    type = "item",
    name = "cube-dormant-combustion-cube",
    icon = "__Ultracube__/assets/icons/dormant-combustion-cube.png",
    icon_size = 64, icon_mipmaps = 4,
    flags = {"not-stackable"},
    subgroup = "cube-cubes",
    order = "cube-0[3-cube]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.solid_fuel_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    stack_size = 1,
  },
  {
    type = "item",
    name = "cube-phantom-ultradense-constituent",
    icons = {{
      icon = "__Ultracube__/assets/icons/phantom-cube.png",
      icon_size = 64, icon_mipmaps = 4,
      tint = {r = 1, g = 1, b = 1, a = 0.25},
    }},
    subgroup = "cube-cubes",
    order = "cube-0[4-cube]",
    inventory_move_sound = item_sounds.energy_shield_inventory_move,
    pick_sound = item_sounds.energy_shield_inventory_pickup,
    drop_sound = item_sounds.energy_shield_inventory_move,
    stack_size = 1,

    fuel_category = "cube-phantom",
    fuel_value = "250MJ",
    fuel_glow_color = {0.5, 0.5, 1, 1},
    burnt_result = "cube-dormant-phantom-constituent",
  },
  {
    type = "item",
    name = "cube-dormant-phantom-constituent",
    icons = {{
      icon = "__base__/graphics/icons/solid-fuel.png",
      icon_size = 64, icon_mipmaps = 4,
      tint = {r = 1, g = 1, b = 1, a = 0.25},
    }},
    subgroup = "cube-cubes",
    order = "cube-0[5-cube]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.solid_fuel_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    stack_size = 1,
  },
  {
    type = "item",
    name = "cube-legendary-iron-gear",
    icon = "__base__/graphics/icons/iron-gear-wheel.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-synthesis-forbidden",
    order = "cube-0[0-plate]",
    inventory_move_sound = item_sounds.metal_small_inventory_move,
    pick_sound = item_sounds.metal_small_inventory_pickup,
    drop_sound = item_sounds.metal_small_inventory_move,
    stack_size = 1,
    flags = {"not-stackable"},
  },

  {
    type = "item",
    name = "cube-vehicle-fuel",
    icon = "__base__/graphics/icons/rocket-fuel.png",
    icon_size = 64, icon_mipmaps = 4,
    fuel_category = "cube-fuel-general",
    fuel_value = "40MJ",
    fuel_acceleration_multiplier = 1.25,
    fuel_top_speed_multiplier = 1.1,
    subgroup = "cube-fuel",
    order = "cube-x[fuel-0]",
    inventory_move_sound = item_sounds.fuel_cell_inventory_move,
    pick_sound = item_sounds.fuel_cell_inventory_pickup,
    drop_sound = item_sounds.fuel_cell_inventory_move,
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-nuclear-fuel",
    icon = "__base__/graphics/icons/nuclear-fuel.png",
    icon_size = 64, icon_mipmaps = 4,
    fuel_category = "cube-fuel-general",
    fuel_value = "100MJ",
    fuel_acceleration_multiplier = 1.75,
    fuel_top_speed_multiplier = 1.25,
    subgroup = "cube-fuel",
    order = "cube-y[fuel-1]",
    inventory_move_sound = item_sounds.fuel_cell_inventory_move,
    pick_sound = item_sounds.fuel_cell_inventory_pickup,
    drop_sound = item_sounds.fuel_cell_inventory_move,
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-condensed-fuel",
    icon = "__base__/graphics/icons/flamethrower-ammo.png",
    icon_size = 64, icon_mipmaps = 4,
    fuel_category = "cube-fuel-canister",
    fuel_value = "100MJ",
    fuel_acceleration_multiplier = 1.25,
    fuel_top_speed_multiplier = 1.15,
    subgroup = "cube-fuel",
    order = "cube-z[a-condensed-fuel]",
    inventory_move_sound = item_sounds.fuel_cell_inventory_move,
    pick_sound = item_sounds.fuel_cell_inventory_pickup,
    drop_sound = item_sounds.fuel_cell_inventory_move,
    stack_size = 10,
  },

  {
    type = "item",
    name = "cube-basic-matter-unit",
    icon = "__base__/graphics/icons/plastic-bar.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-synthesis-basics",
    order = "cube-0[a-matter]",
    inventory_move_sound = item_sounds.plastic_inventory_move,
    pick_sound = item_sounds.plastic_inventory_pickup,
    drop_sound = item_sounds.plastic_inventory_move,
    stack_size = 200,
  },
  {
    type = "item",
    name = "cube-basic-antimatter-unit",
    icon = "__Ultracube__/assets/icons/basic-antimatter-unit.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-synthesis-basics",
    order = "cube-x[antimatter]",
    inventory_move_sound = item_sounds.plastic_inventory_move,
    pick_sound = item_sounds.plastic_inventory_pickup,
    drop_sound = item_sounds.plastic_inventory_move,
    stack_size = 200,
  },
  {
    type = "item",
    name = "cube-n-dimensional-widget",
    icon = "__Krastorio2Assets__/icons/items/automation-core.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-synthesis-advanced",
    order = "cube-1[widget-0]",
    stack_size = 50,
  },

  {
    type = "item",
    name = "cube-basic-motor-unit",
    icon = "__base__/graphics/icons/engine-unit.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-components",
    order = "cube-0[a-basic-motor-unit]",
    inventory_move_sound = item_sounds.metal_small_inventory_move,
    pick_sound = item_sounds.metal_small_inventory_pickup,
    drop_sound = item_sounds.metal_small_inventory_move,
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-advanced-engine",
    icon = "__Krastorio2Assets__/icons/equipment/additional-engine-equipment.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-components",
    order = "cube-0[b-advanced-engine]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.electric_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-arcane-drive",
    icon = "__Krastorio2Assets__/icons/equipment/advanced-additional-engine-equipment.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-synthesis-ethereal",
    order = "cube-0[c-advanced-engine]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.electric_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-ghost-wire",
    icons = {{
      icon = "__Ultracube__/assets/icons/ghost-wire.png",
      icon_size = 64, icon_mipmaps = 4,
      tint = {r = 1, g = 1, b = 1, a = 0.5},
    }},
    subgroup = "cube-processed-materials",
    order = "cube-6[ghostwire]",
    inventory_move_sound = item_sounds.wire_inventory_move,
    pick_sound = item_sounds.wire_inventory_pickup,
    drop_sound = item_sounds.wire_inventory_move,
    stack_size = 200,
  },
  {
    type = "item",
    name = "cube-electronic-circuit",
    icon = "__Krastorio2Assets__/icons/items/electronic-circuit.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-components",
    order = "cube-2[a-electronic-circuit]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 100,
  },
  {
    type = "item",
    name = "cube-advanced-circuit",
    icon = "__Krastorio2Assets__/icons/items/advanced-circuit.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-components",
    order = "cube-2[b-advanced-circuit]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 100,
  },
  {
    type = "item",
    name = "cube-spectral-processor",
    icons = {{
      icon = "__Ultracube__/assets/icons/spectral-processor.png",
      icon_size = 64, icon_mipmaps = 4,
      tint = {r = 1, g = 1, b = 1, a = 0.75},
    }},
    subgroup = "cube-components",
    order = "cube-2[c-processing-unit]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 100,
  },
  {
    type = "item",
    name = "cube-besselheim-flask",
    icon = "__Ultracube__/assets/icons/flask.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-flasks",
    order = "cube-b[d-besselheim-flask]",
    inventory_move_sound = item_sounds.science_inventory_move,
    pick_sound = item_sounds.science_inventory_pickup,
    drop_sound = item_sounds.science_inventory_move,
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-bottled-consciousness",
    icon = "__base__/graphics/icons/space-science-pack.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-flasks",
    order = "cube-b[e-besselheim-flask]",
    inventory_move_sound = item_sounds.science_inventory_move,
    pick_sound = item_sounds.science_inventory_pickup,
    drop_sound = item_sounds.science_inventory_move,
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-bottled-euphoria",
    icon = "__Ultracube__/assets/icons/bottled-euphoria.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-flasks",
    order = "cube-b[f-besselheim-flask]",
    inventory_move_sound = item_sounds.science_inventory_move,
    pick_sound = item_sounds.science_inventory_pickup,
    drop_sound = item_sounds.science_inventory_move,
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-bottled-anguish",
    icon = "__Ultracube__/assets/icons/bottled-anguish.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-flasks",
    order = "cube-b[g-besselheim-flask]",
    inventory_move_sound = item_sounds.science_inventory_move,
    pick_sound = item_sounds.science_inventory_pickup,
    drop_sound = item_sounds.science_inventory_move,
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-sophisticated-matter-unit",
    icon = "__Krastorio2Assets__/icons/items/white-reinforced-plate.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-processed-materials",
    order = "cube-2[sophisticated]",
    inventory_move_sound = item_sounds.plastic_inventory_move,
    pick_sound = item_sounds.plastic_inventory_pickup,
    drop_sound = item_sounds.plastic_inventory_move,
    stack_size = 100,
  },
  {
    type = "item",
    name = "cube-resplendent-plate",
    icon = "__Krastorio2Assets__/icons/items/imersium-plate.png",
    icon_size = 64, icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          size = 64,
          filename = "__Krastorio2Assets__/icons/items/imersium-plate.png",
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          draw_as_light = true,
          flags = {"light"},
          size = 64,
          filename = "__Krastorio2Assets__/icons/items/imersium-plate-light.png",
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-processed-materials",
    order = "cube-3[plate]",
    inventory_move_sound = item_sounds.metal_small_inventory_move,
    pick_sound = item_sounds.metal_small_inventory_pickup,
    drop_sound = item_sounds.metal_small_inventory_move,
    stack_size = 100,
  },
  {
    type = "item",
    name = "cube-haunted-energy-cell",
    icon = "__Ultracube__/assets/icons/haunted-energy-cell.png",
    icon_size = 64, icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          size = 64,
          filename = "__Ultracube__/assets/icons/haunted-energy-cell.png",
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          draw_as_light = true,
          flags = {"light"},
          size = 64,
          filename = "__Ultracube__/assets/icons/haunted-energy-cell-light.png",
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-chemical-intermediates",
    order = "cube-z[haunted-energy-cell]",
    inventory_move_sound = item_sounds.rocket_control_inventory_move,
    pick_sound = item_sounds.rocket_control_inventory_pickup,
    drop_sound = item_sounds.rocket_control_inventory_move,
    fuel_category = "cube-haunted-energy",
    -- TODO: may need tweaking with actual practice.
    fuel_value = "400MJ",
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-boson-conduit",
    icon = "__Ultracube__/assets/icons/boson-conduit.png",
    icon_size = 64, icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          filename = "__Ultracube__/assets/icons/boson-conduit.png",
          size = 64,
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          filename = "__Krastorio2Assets__/icons/items/tritium-light.png",
          draw_as_light = true,
          flags = {"light"},
          size = 64,
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-research-singularity",
    order = "cube-1[boson-conduit]",
    inventory_move_sound = item_sounds.science_inventory_move,
    pick_sound = item_sounds.science_inventory_pickup,
    drop_sound = item_sounds.science_inventory_move,
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-fermion-conduit",
    icon = "__Ultracube__/assets/icons/fermion-conduit.png",
    icon_size = 64, icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          filename = "__Ultracube__/assets/icons/fermion-conduit.png",
          size = 64,
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          filename = "__Krastorio2Assets__/icons/items/tritium-light.png",
          draw_as_light = true,
          flags = {"light"},
          size = 64,
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-research-singularity",
    order = "cube-2[fermion-conduit]",
    inventory_move_sound = item_sounds.science_inventory_move,
    pick_sound = item_sounds.science_inventory_pickup,
    drop_sound = item_sounds.science_inventory_move,
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-teleporter-activation",
    icon = "__Krastorio2Assets__/icons/virtual-signals/power-off.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-experimental",
    order = "cube-z[1-teleporter-activation]",
    stack_size = 10,
    hidden = true,
  },

  {
    type = "item",
    name = "cube-teleportation-control-module",
    icon = "__Krastorio2Assets__/icons/items/teleportation-gps-module.png",
    icon_size = 64,
    icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          size = 64,
          filename = "__Krastorio2Assets__/icons/items/teleportation-gps-module.png",
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          draw_as_light = true,
          flags = {"light"},
          size = 64,
          filename = "__Krastorio2Assets__/icons/items/teleportation-gps-module-light.png",
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-experimental",
    order = "cube-z[teleportation-control-module]",
    inventory_move_sound = item_sounds.rocket_control_inventory_move,
    pick_sound = item_sounds.rocket_control_inventory_pickup,
    drop_sound = item_sounds.rocket_control_inventory_move,
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-ultradense-debris",
    icon = "__Krastorio2Assets__/icons/items-with-variations/enriched-iron/enriched-iron.png",
    icon_size = 64,
    icon_mipmaps = 4,
    pictures = {
      {
        size = 64,
        filename = "__Krastorio2Assets__/icons/items-with-variations/enriched-iron/enriched-iron.png",
        scale = 0.5,
        mipmap_count = 4,
      },
      {
        size = 64,
        filename = "__Krastorio2Assets__/icons/items-with-variations/enriched-iron/enriched-iron-1.png",
        scale = 0.5,
        mipmap_count = 4,
      },
      {
        size = 64,
        filename = "__Krastorio2Assets__/icons/items-with-variations/enriched-iron/enriched-iron-2.png",
        scale = 0.5,
        mipmap_count = 4,
      },
    },
    subgroup = "cube-synthesis-forbidden",
    order = "cube-1[step-0]",
    inventory_move_sound = item_sounds.resource_inventory_move,
    pick_sound = item_sounds.resource_inventory_pickup,
    drop_sound = item_sounds.resource_inventory_move,
    stack_size = 64,
  },
  {
    type = "item",
    name = "cube-ultradense-powder",
    icon = "__Krastorio2Assets__/icons/items-with-variations/lithium-chloride/lithium-chloride.png",
    icon_size = 64,
    icon_mipmaps = 4,
    pictures = {
      {
        size = 64,
        filename = "__Krastorio2Assets__/icons/items-with-variations/lithium-chloride/lithium-chloride.png",
        scale = 0.5,
        mipmap_count = 4,
      },
      {
        size = 64,
        filename = "__Krastorio2Assets__/icons/items-with-variations/lithium-chloride/lithium-chloride-1.png",
        scale = 0.5,
        mipmap_count = 4,
      },
    },
    subgroup = "cube-synthesis-forbidden",
    order = "cube-2[step-1]",
    inventory_move_sound = item_sounds.resource_inventory_move,
    pick_sound = item_sounds.resource_inventory_pickup,
    drop_sound = item_sounds.resource_inventory_move,
    stack_size = 200,
  },
  {
    type = "item",
    name = "cube-ultradense-mineral",
    icon = "__Ultracube__/assets/icons/ultradense-mineral.png",
    icon_size = 64,
    icon_mipmaps = 4,
    pictures = {
      {
        size = 64,
        filename = "__Ultracube__/assets/icons/ultradense-mineral.png",
        scale = 0.5,
        mipmap_count = 4,
      },
      {
        size = 64,
        filename = "__Ultracube__/assets/icons/ultradense-mineral-1.png",
        scale = 0.5,
        mipmap_count = 4,
      },
      {
        size = 64,
        filename = "__Ultracube__/assets/icons/ultradense-mineral-2.png",
        scale = 0.5,
        mipmap_count = 4,
      },
      {
        size = 64,
        filename = "__Ultracube__/assets/icons/ultradense-mineral-3.png",
        scale = 0.5,
        mipmap_count = 4,
      },
    },
    subgroup = "cube-synthesis-forbidden",
    order = "cube-3[step-2a]",
    inventory_move_sound = item_sounds.resource_inventory_move,
    pick_sound = item_sounds.resource_inventory_pickup,
    drop_sound = item_sounds.resource_inventory_move,
    stack_size = 100,
  },
  {
    type = "item",
    name = "cube-ultradense-matter-unit",
    icon = "__Ultracube__/assets/icons/ultradense-matter-unit.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-synthesis-forbidden",
    order = "cube-4[step-3]",
    inventory_move_sound = item_sounds.plastic_inventory_move,
    pick_sound = item_sounds.plastic_inventory_pickup,
    drop_sound = item_sounds.plastic_inventory_move,
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-ultradense-composite",
    icon = "__Ultracube__/assets/icons/ultradense-composite.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-synthesis-forbidden",
    order = "cube-5[step-4]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.metal_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    stack_size = 10,
  },
})
