local item_sounds = require("__base__.prototypes.item_sounds")

data:extend({
  {
    type = "item",
    name = "cube-medium-container",
    icon = "__Krastorio2Assets__/icons/entities/medium-container.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "storage",
    order = "cube-a[items]-w[medium-chest]",
    inventory_move_sound = item_sounds.metal_chest_inventory_move,
    pick_sound = item_sounds.metal_chest_inventory_pickup,
    drop_sound = item_sounds.metal_chest_inventory_move,
    place_result = "cube-medium-container",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-big-container",
    icon = "__Krastorio2Assets__/icons/entities/big-container.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "storage",
    order = "cube-a[items]-x[big-chest]",
    inventory_move_sound = item_sounds.metal_chest_inventory_move,
    pick_sound = item_sounds.metal_chest_inventory_pickup,
    drop_sound = item_sounds.metal_chest_inventory_move,
    place_result = "cube-big-container",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-fluid-storage-1",
    icon = "__Krastorio2Assets__/icons/entities/fluid-storage-1.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "storage",
    order = "cube-z[tanks]-y[medium]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.metal_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    place_result = "cube-fluid-storage-1",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-fluid-storage-2",
    icon = "__Krastorio2Assets__/icons/entities/fluid-storage-2.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "storage",
    order = "cube-z[tanks]-z[big]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.metal_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    place_result = "cube-fluid-storage-2",
    stack_size = 10,
  },

  {
    type = "item",
    name = "cube-v4-transport-belt",
    icon = "__Krastorio2Assets__/icons/entities/transport-belts/superior-transport-belt/superior-transport-belt.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "belt",
    order = "cube-a[transport-belt]-d[v4-transport-belt]",
    inventory_move_sound = item_sounds.transport_belt_inventory_move,
    pick_sound = item_sounds.transport_belt_inventory_pickup,
    drop_sound = item_sounds.transport_belt_inventory_move,
    place_result = "cube-v4-transport-belt",
    stack_size = 100,
  },
  {
    type = "item",
    name = "cube-v4-underground-belt",
    icon = "__Krastorio2Assets__/icons/entities/transport-belts/superior-transport-belt/superior-underground-belt.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "belt",
    order = "cube-b[underground-belt]-d[v4-underground-belt]",
    inventory_move_sound = item_sounds.mechanical_inventory_move,
    pick_sound = item_sounds.mechanical_inventory_pickup,
    drop_sound = item_sounds.mechanical_inventory_move,
    place_result = "cube-v4-underground-belt",
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-v4-splitter",
    icon = "__Krastorio2Assets__/icons/entities/transport-belts/superior-transport-belt/superior-splitter.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "belt",
    order = "cube-c[splitter]-d[v4-splitter]",
    inventory_move_sound = item_sounds.mechanical_inventory_move,
    pick_sound = item_sounds.mechanical_inventory_pickup,
    drop_sound = item_sounds.mechanical_inventory_move,
    place_result = "cube-v4-splitter",
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-extremely-long-inserter",
    icon = "__Ultracube__/assets/icons/extremely-long-inserter.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "inserter",
    order = "cube-x[extremely-long-inserter]",
    inventory_move_sound = item_sounds.inserter_inventory_move,
    pick_sound = item_sounds.inserter_inventory_pickup,
    drop_sound = item_sounds.inserter_inventory_move,
    place_result = "cube-extremely-long-inserter",
    stack_size = 50,
  },

  {
    type = "item",
    name = "cube-logistic-robot-0",
    icon = "__base__/graphics/icons/logistic-robot.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "logistic-network",
    order = "cube-a[robot]-a[logistic-robot-0]",
    inventory_move_sound = item_sounds.robotic_inventory_move,
    pick_sound = item_sounds.robotic_inventory_pickup,
    drop_sound = item_sounds.robotic_inventory_move,
    place_result = "cube-logistic-robot-0",
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-logistic-robot-1",
    icon = "__base__/graphics/icons/logistic-robot.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "logistic-network",
    order = "cube-a[robot]-a[logistic-robot-1]",
    inventory_move_sound = item_sounds.robotic_inventory_move,
    pick_sound = item_sounds.robotic_inventory_pickup,
    drop_sound = item_sounds.robotic_inventory_move,
    place_result = "cube-logistic-robot-1",
    stack_size = 50,
  },
})