local item_sounds = require("__base__.prototypes.item_sounds")

data:extend({
  {
    type = "item",
    name = "cube-local-turbine",
    icon = "__Krastorio2Assets__/icons/entities/wind-turbine.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "energy",
    order = "cube-0[wind-power]-a[local-turbine]",
    inventory_move_sound = item_sounds.low_density_inventory_move,
    pick_sound = item_sounds.low_density_inventory_pickup,
    drop_sound = item_sounds.low_density_inventory_move,
    place_result = "cube-local-turbine",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-boiler",
    icon = "__base__/graphics/icons/boiler.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "energy",
    order = "cube-b[steam-power]-a[boiler]",
    inventory_move_sound = item_sounds.steam_inventory_move,
    pick_sound = item_sounds.steam_inventory_pickup,
    drop_sound = item_sounds.steam_inventory_move,
    place_result = "cube-boiler",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-lab",
    icon = "__Krastorio2Assets__/icons/entities/biusart-lab.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-logistic-machines",
    order = "cube-0[lab]",
    inventory_move_sound = item_sounds.lab_inventory_move,
    pick_sound = item_sounds.lab_inventory_pickup,
    drop_sound = item_sounds.lab_inventory_move,
    place_result = "cube-lab",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-electric-mining-drill",
    icon = "__Krastorio2Assets__/icons/entities/electric-mining-drill-mk2.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "extraction-machine",
    order = "cube-d[0-drill-1]",
    inventory_move_sound = item_sounds.drill_inventory_move,
    pick_sound = item_sounds.drill_inventory_pickup,
    drop_sound = item_sounds.drill_inventory_move,
    place_result = "cube-electric-mining-drill",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-electric-mining-drill-mk2",
    icon = "__Krastorio2Assets__/icons/entities/electric-mining-drill-mk3.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "extraction-machine",
    order = "cube-d[0-drill-2]",
    inventory_move_sound = item_sounds.drill_inventory_move,
    pick_sound = item_sounds.drill_inventory_pickup,
    drop_sound = item_sounds.drill_inventory_move,
    place_result = "cube-electric-mining-drill-mk2",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-deep-core-ultradrill",
    icon = "__Krastorio2Assets__/icons/entities/quarry-drill.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "extraction-machine",
    order = "cube-x[0-deep-drill-1]",
    inventory_move_sound = item_sounds.drill_inventory_move,
    pick_sound = item_sounds.drill_inventory_pickup,
    drop_sound = item_sounds.drill_inventory_move,
    place_result = "cube-deep-core-ultradrill",
    stack_size = 5,
  },
  {
    type = "item",
    name = "cube-greenhouse",
    icon = "__Krastorio2Assets__/icons/entities/greenhouse.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "extraction-machine",
    order = "cube-c[0-greenhouse]",
    inventory_move_sound = item_sounds.mechanical_inventory_move,
    pick_sound = item_sounds.wood_inventory_pickup,
    drop_sound = item_sounds.mechanical_inventory_move,
    place_result = "cube-greenhouse",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-crusher",
    icon = "__Krastorio2Assets__/icons/entities/crusher.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-processing-machines",
    order = "cube-0[0-crusher]",
    inventory_move_sound = item_sounds.mechanical_inventory_move,
    pick_sound = item_sounds.mechanical_inventory_pickup,
    drop_sound = item_sounds.mechanical_inventory_move,
    place_result = "cube-crusher",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-electric-furnace",
    icon = "__base__/graphics/icons/electric-furnace.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-processing-machines",
    order = "cube-0[1-electric-furnace]",
    inventory_move_sound = item_sounds.electric_large_inventory_move,
    pick_sound = item_sounds.electric_large_inventory_pickup,
    drop_sound = item_sounds.electric_large_inventory_move,
    place_result = "cube-electric-furnace",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-chemical-plant",
    icon = "__base__/graphics/icons/chemical-plant.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-chemical-machines",
    order = "cube-1[0-chemical-plant]",
    inventory_move_sound = item_sounds.fluid_inventory_move,
    pick_sound = item_sounds.fluid_inventory_pickup,
    drop_sound = item_sounds.fluid_inventory_move,
    place_result = "cube-chemical-plant",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-distillery",
    icon = "__base__/graphics/icons/oil-refinery.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-chemical-machines",
    order = "cube-1[1-distillery]",
    inventory_move_sound = item_sounds.fluid_inventory_move,
    pick_sound = item_sounds.fluid_inventory_pickup,
    drop_sound = item_sounds.fluid_inventory_move,
    place_result = "cube-distillery",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-fuel-refinery",
    icon = "__Krastorio2Assets__/icons/entities/fuel-refinery.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-chemical-machines",
    order = "cube-1[2-fuel-refinery]",
    inventory_move_sound = item_sounds.fluid_inventory_move,
    pick_sound = item_sounds.fluid_inventory_pickup,
    drop_sound = item_sounds.fluid_inventory_move,
    place_result = "cube-fuel-refinery",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-fluid-burner",
    icon = "__Krastorio2Assets__/icons/entities/flare-stack.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-chemical-machines",
    order = "cube-1[3-fluid-burner]",
    inventory_move_sound = item_sounds.fluid_inventory_move,
    pick_sound = item_sounds.fluid_inventory_pickup,
    drop_sound = item_sounds.fluid_inventory_move,
    place_result = "cube-fluid-burner",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-ultradense-furnace",
    icon = "__Krastorio2Assets__/icons/entities/advanced-furnace.png",
    icon_size = 128, icon_mipmaps = 4,
    subgroup = "cube-processing-machines",
    order = "cube-0[2-ultradense-furace]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.metal_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    place_result = "cube-ultradense-furnace",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-recovery-bay",
    icon = "__Krastorio2Assets__/icons/entities/stabilizer-charging-station.png",
    icon_size = 128, icon_mipmaps = 4,
    subgroup = "cube-production-machines",
    order = "cube-1[0-recovery-bay]",
    inventory_move_sound = item_sounds.electric_large_inventory_move,
    pick_sound = item_sounds.electric_large_inventory_pickup,
    drop_sound = item_sounds.electric_large_inventory_move,
    place_result = "cube-recovery-bay",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-synthesizer",
    icon = "__Krastorio2Assets__/icons/entities/matter-assembler.png",
    icon_size = 128, icon_mipmaps = 4,
    subgroup = "cube-production-machines",
    order = "cube-1[1-synthesizer]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.metal_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    place_result = "cube-synthesizer",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-dimension-folding-engine",
    icon = "__Krastorio2Assets__/icons/entities/antimatter-reactor.png",
    icon_size = 128, icon_mipmaps = 4,
    subgroup = "cube-production-machines",
    order = "cube-1[2-disruptor]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.metal_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    place_result = "cube-dimension-folding-engine",
    stack_size = 5,
  },
  {
    type = "item",
    name = "cube-stygian-energy-lab",
    icon = "__Krastorio2Assets__/icons/entities/bio-lab.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-advanced-power",
    order = "cube-x[0-haunted]",
    inventory_move_sound = item_sounds.pumpjack_inventory_move,
    pick_sound = item_sounds.pumpjack_inventory_pickup,
    drop_sound = item_sounds.pumpjack_inventory_move,
    place_result = "cube-stygian-energy-lab",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-heavy-turbine",
    icon = "__base__/graphics/icons/steam-turbine.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "energy",
    order = "cube-c[steam-power]-d[heavy-turbine]",
    inventory_move_sound = item_sounds.steam_inventory_move,
    pick_sound = item_sounds.steam_inventory_pickup,
    drop_sound = item_sounds.steam_inventory_move,
    place_result = "cube-heavy-turbine",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-fabricator",
    icon = "__Krastorio2Assets__/icons/entities/advanced-assembling-machine.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-production-machines",
    order = "cube-1[3-fabricator]",
    inventory_move_sound = item_sounds.mechanical_inventory_move,
    pick_sound = item_sounds.mechanical_inventory_pickup,
    drop_sound = item_sounds.mechanical_inventory_move,
    place_result = "cube-fabricator",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-roboport",
    icon = "__Krastorio2Assets__/icons/entities/large-roboport.png",
    icon_size = 64,
    icon_mipmaps = 4,
    subgroup = "cube-logistic-machines",
    order = "cube-2[roboport]",
    inventory_move_sound = item_sounds.roboport_inventory_move,
    pick_sound = item_sounds.roboport_inventory_pickup,
    drop_sound = item_sounds.roboport_inventory_move,
    place_result = "cube-roboport",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-energy-bulkframe",
    icon = "__Krastorio2Assets__/icons/entities/energy-storage.png",
    icon_size = 64,
    icon_mipmaps = 4,
    subgroup = "cube-advanced-power",
    order = "cube-z[energy-frame]",
    inventory_move_sound = item_sounds.electric_large_inventory_move,
    pick_sound = item_sounds.electric_large_inventory_pickup,
    drop_sound = item_sounds.electric_large_inventory_move,
    place_result = "cube-energy-bulkframe",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-nuclear-reactor",
    icon = "__base__/graphics/icons/nuclear-reactor.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-advanced-power",
    order = "cube-f[nuclear-energy]-a[reactor]",
    inventory_move_sound = item_sounds.reactor_inventory_move,
    pick_sound = item_sounds.reactor_inventory_pickup,
    drop_sound = item_sounds.reactor_inventory_move,
    place_result = "cube-nuclear-reactor",
    stack_size = 5,
  },
  {
    type = "item",
    name = "cube-cyclotron",
    icon = "__Krastorio2Assets__/icons/entities/matter-plant.png",
    icon_size = 128, icon_mipmaps = 4,
    subgroup = "cube-advanced-machines",
    order = "cube-a[decoder]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.metal_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    place_result = "cube-cyclotron",
    stack_size = 5,
  },
  {
    type = "item",
    name = "cube-quantum-decoder",
    icon = "__Krastorio2Assets__/icons/entities/quantum-computer.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-advanced-machines",
    order = "cube-b[decoder]",
    inventory_move_sound = item_sounds.electric_large_inventory_move,
    pick_sound = item_sounds.electric_large_inventory_pickup,
    drop_sound = item_sounds.electric_large_inventory_move,
    place_result = "cube-quantum-decoder",
    stack_size = 5,
  },
  {
    type = "item",
    name = "cube-particle-phase-aligner",
    icon = "__Krastorio2Assets__/icons/entities/research-server.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-advanced-machines",
    order = "cube-c[aligner]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    place_result = "cube-particle-phase-aligner",
    stack_size = 10,
  },
  {
    type = "item",
    name = "cube-mystery-furnace",
    icon = "__base__/graphics/icons/steel-furnace.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-advanced-machines",
    order = "cube-d[mystery]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.metal_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    place_result = "cube-mystery-furnace",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-beacon",
    icon = "__Krastorio2Assets__/icons/entities/singularity-beacon.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-logistic-machines",
    order = "cube-3[beacon]",
    inventory_move_sound = item_sounds.mechanical_inventory_move,
    pick_sound = item_sounds.mechanical_inventory_pickup,
    drop_sound = item_sounds.mechanical_inventory_move,
    place_result = "cube-beacon",
    stack_size = 20,
  },
  {
    type = "item",
    name = "cube-experimental-teleporter",
    icon = "__Krastorio2Assets__/icons/entities/planetary-teleporter.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-logistic-machines",
    order = "cube-4[teleporter]",
    inventory_move_sound = item_sounds.electric_large_inventory_move,
    pick_sound = item_sounds.electric_large_inventory_pickup,
    drop_sound = item_sounds.electric_large_inventory_move,
    place_result = "cube-experimental-teleporter",
    stack_size = 5,
  },
  {
    type = "item",
    name = "cube-forbidden-ziggurat",
    icon = "__Krastorio2Assets__/icons/entities/intergalactic-transceiver.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-final-machines",
    order = "cube-0[ziggurat]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.metal_large_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    place_result = "cube-forbidden-ziggurat",
    stack_size = 1,
    flags = {"not-stackable"},
  },
  {
    type = "item",
    name = "cube-antimatter-reactor",
    icon = "__Krastorio2Assets__/icons/entities/fusion-reactor.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-final-machines",
    order = "cube-1[reactor]",
    inventory_move_sound = item_sounds.reactor_inventory_move,
    pick_sound = item_sounds.reactor_inventory_pickup,
    drop_sound = item_sounds.reactor_inventory_move,
    place_result = "cube-antimatter-reactor",
    stack_size = 1,
    flags = {"not-stackable"},
  },
  {
    type = "item",
    name = "cube-annihilation-chamber",
    icon = "__Krastorio2Assets__/icons/entities/advanced-steam-turbine.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "cube-final-machines",
    order = "cube-2[chamber]",
    inventory_move_sound = item_sounds.metal_large_inventory_move,
    pick_sound = item_sounds.steam_inventory_pickup,
    drop_sound = item_sounds.metal_large_inventory_move,
    place_result = "cube-annihilation-chamber",
    stack_size = 5,
  },
})
