local item_sounds = require("__base__.prototypes.item_sounds")

data:extend({
  {
    type = "tool",
    name = "cube-basic-contemplation-unit",
    localised_description = {"item-description.cube-science-card"},
    icon = "__Krastorio2Assets__/icons/cards/military-tech-card.png",
    icon_size = 64, icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/military-tech-card.png",
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          draw_as_light = true,
          flags = {"light"},
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/military-tech-card-light.png",
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-synthesis-advanced",
    order = "cube-0[contemplation-0]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 100,
    durability = 1,
  },
  {
    type = "tool",
    name = "cube-fundamental-comprehension-card",
    localised_description = {"item-description.cube-science-card"},
    icon = "__Krastorio2Assets__/icons/cards/logistic-tech-card.png",
    icon_size = 64, icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/logistic-tech-card.png",
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          draw_as_light = true,
          flags = { "light" },
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/logistic-tech-card-light.png",
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-science",
    order = "cube-1[comprehension]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 100,
    durability = 1,
  },
  {
    type = "tool",
    name = "cube-abstract-interrogation-card",
    localised_description = {"item-description.cube-science-card"},
    icon = "__Krastorio2Assets__/icons/cards/matter-tech-card.png",
    icon_size = 64, icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/matter-tech-card.png",
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          draw_as_light = true,
          flags = { "light" },
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/matter-tech-card-light.png",
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-science",
    order = "cube-2[interrogation]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 100,
    durability = 1,
  },
  {
    type = "tool",
    name = "cube-deep-introspection-card",
    localised_description = {"item-description.cube-science-card"},
    icon = "__Krastorio2Assets__/icons/cards/singularity-tech-card.png",
    icon_size = 64, icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/singularity-tech-card.png",
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          draw_as_light = true,
          flags = {"light"},
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/singularity-tech-card-light.png",
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-science",
    order = "cube-3[introspection]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 100,
    durability = 1,
  },
  {
    type = "tool",
    name = "cube-synthetic-premonition-card",
    localised_description = {"item-description.cube-science-card"},
    icon = "__Krastorio2Assets__/icons/cards/optimization-tech-card.png",
    icon_size = 64, icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/optimization-tech-card.png",
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          draw_as_light = true,
          flags = {"light"},
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/optimization-tech-card-light.png",
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-science",
    order = "cube-4[premonition]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 100,
    durability = 1,
  },
  {
    type = "tool",
    name = "cube-complete-annihilation-card",
    localised_description = {"item-description.cube-science-card"},
    icon = "__Krastorio2Assets__/icons/cards/advanced-tech-card.png",
    icon_size = 64, icon_mipmaps = 4,
    pictures = {
      layers = {
        {
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/advanced-tech-card.png",
          scale = 0.5,
          mipmap_count = 4,
        },
        {
          draw_as_light = true,
          flags = {"light"},
          size = 64,
          filename = "__Krastorio2Assets__/icons/cards/advanced-tech-card-light.png",
          scale = 0.5,
          mipmap_count = 4,
        },
      },
    },
    subgroup = "cube-science",
    order = "cube-5[annihilation]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 100,
    durability = 1,
  },

  {
    type = "item",
    name = "cube-quantum-research-data",
    icon = "__Krastorio2Assets__/icons/cards/biters-research-data.png",
    icon_size = 64,
    icon_mipmaps = 4,
    subgroup = "cube-research-quantum",
    order = "cube-z[quantum-research-data]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 50,
  },
  {
    type = "item",
    name = "cube-singularity-research-data",
    icon = "__Krastorio2Assets__/icons/cards/singularity-research-data.png",
    icon_size = 64,
    icon_mipmaps = 4,
    subgroup = "cube-research-singularity",
    order = "cube-y[singularity-research-data]",
    inventory_move_sound = item_sounds.electric_small_inventory_move,
    pick_sound = item_sounds.electric_small_inventory_pickup,
    drop_sound = item_sounds.electric_small_inventory_move,
    stack_size = 50,
  },
})
